Vla-get-displaylayouttabs

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-displaylayouttabs vla-object )


機能
図面エディタに[モデル]と[レイアウト]タブを表示するかどうかを取得する。


引数
  • vla-object … PreferencesDisplay のVLAオブジェクト


戻り値
ブール型
  •  :vlax-True: [モデル]および[レイアウト]タブを表示する。
  •  :vlax-False: [モデル]および[レイアウト]タブを表示しない。


  • このプロパティの初期値は True。


サンプル
(vl-load-com)
(defun c:Example_DisplayLayoutTabs()
    ;; モデルレイアウトタブの表示を切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))

    ;; display preferences オブジェクトを取得
    (setq ACADPref (vla-get-Display preferences))
    
    ;; 既定値を取得
    (setq originalValue (vla-get-DisplayLayoutTabs ACADPref))
    (alert (strcat "現在の DisplayLayoutTabs の設定は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-DisplayLayoutTabs ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-DisplayLayoutTabs ACADPref))
    (alert (strcat "The DisplayLayoutTabs preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-DisplayLayoutTabs ACADPref originalValue)
    (alert (strcat "DisplayLayoutTabs の設定を次に戻しました : " (if (= originalValue :vlax-true) "True" "False")))
)

関連事項